import 'package:equatable/equatable.dart';

abstract class AuthEvent extends Equatable {
  const AuthEvent();

  @override
  List<Object?> get props => [];
}

class AuthLoginRequested extends AuthEvent {
  final String phone;
  final String smsCode;

  const AuthLoginRequested({
    required this.phone,
    required this.smsCode,
  });

  @override
  List<Object?> get props => [phone, smsCode];
}

class AuthTokenExpiredEvent extends AuthEvent {
  const AuthTokenExpiredEvent();
}

class AuthLogoutRequestedEvent extends AuthEvent {
  const AuthLogoutRequestedEvent();
}

class AuthFetchUserInfo extends AuthEvent {
  const AuthFetchUserInfo();
}
